Page MenuHomePhabricator

Rewrite settings popup as a template
Closed, ResolvedPublic

Description

Using https://gerrit.wikimedia.org/r/286031 as a foundation we should refactor ext.popups.settings as a Mustache template.

Warning:
This will bring in mediawiki.template and mediawiki.template.mustache (1.5 KiB + 8.1KiB) into the page (obtained via mw.loader.inspect so note these are uncompressed). Please consider implications of this when implementing.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2016, 8:51 PM
Jdlrobson updated the task description. (Show Details)Apr 28 2016, 9:10 PM

Warning:
This will bring in mediawiki.template and mediawiki.template.mustache (1.5 KiB + 8.1KiB) into the page. Please consider implications of this when implementing.

Could you elaborate on where you got the above numbers?

These are the numbers I see in chrome dev tools (private window):
https://en.wikipedia.org/w/load.php?lang=en&modules=mediawiki.template&skin=vector
1.1KB
https://en.wikipedia.org/w/load.php?lang=en&modules=mediawiki.template.mustache&skin=vector
3.1KB

Jdlrobson updated the task description. (Show Details)Apr 30 2016, 12:13 AM

Why? It should be using OOjs UI anyway

Why? It should be using OOjs UI anyway

To make the code more readable. This is complementary to using OOUI. Nothing stops you using both templates and OOjs UI.
Porting to OOUI is tracked in T88882.

Jdlrobson triaged this task as Low priority.May 9 2016, 5:13 PM
Jdlrobson closed this task as Resolved.Jul 20 2016, 8:42 PM
Jdlrobson claimed this task.

This is done.